Page MenuHomePhabricator

Surface some manually curated campaigns for users to translate
Closed, ResolvedPublic1 Story Points

Description

This is a minimal initial step towards T114745: Suggest a campaign for users to join

The goal is to surface some manually added lists as suggestions in order to anticipate the impact suggestions will have once the list-management functionality (T96147) is added.

In this simple version:

  • Some lists will be shown as part of the user suggestions. In the mockup "Wiki loves science" is used, but we should add lists based on community efforts such as existing campaigns (e.g., T112871) and classifications (e.g., vital articles).
  • Lists are represented by two items initially visible with an option to expand the whole list (The "view all" label will become "View less" to allow collapsing it again).
  • Expanding a list collapses other lists.
  • Users can act on list items in the same way as they do with other suggestions (starring and discarding them).
  • Users can discard a whole list.

At this point, users won't be able to create their own lists, search for existing lists or add suggested lists to their collection. That will be supported on future iterations.

Related Objects

Event Timeline

Pginer-WMF raised the priority of this task from to Normal.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: santhosh, Aklapper, Pginer-WMF.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 8 2015, 9:00 PM
Amire80 set Security to None.

Change 247261 had a related patch set uploaded (by Santhosh):
WIP: Suggestions: Public task lists based on category

https://gerrit.wikimedia.org/r/247261

Suggestion: People are able to create campaigns or lists of articles using sets of Wikidata queries as well as manually curated lists. Wikidata queries will not need to be updated manually and update and evolve over time. E.g list of World Heritage Sites will have new entries added every year and occasionally a site removed.

Suggestion: People are able to create campaigns or lists of articles using sets of Wikidata queries as well as manually curated lists. Wikidata queries will not need to be updated manually and update and evolve over time. E.g list of World Heritage Sites will have new entries added every year and occasionally a site removed.

Thanks. This is a very good suggestion. I created a specific ticket for it: T115869

The current ticket represents a very initial step in this long route. Although it is related with lists, this ticket is about the exposition of those as suggestions. How to support their creation is a different story. T96147 provides an overview of the current thinking about lists and campaigns and some ideas we are considering. We have already done some research from the perspective of the translators of such lists, but we still need to get more feedback (especially from campaign organisers) to iterate on them.

Suggestion: People are able to create campaigns or lists of articles using sets of Wikidata queries as well as manually curated lists. Wikidata queries will not need to be updated manually and update and evolve over time. E.g list of World Heritage Sites will have new entries added every year and occasionally a site removed.

Thanks. This is a very good suggestion. I created a specific ticket for it: T115869
The current ticket represents a very initial step in this long route. Although it is related with lists, this ticket is about the exposition of those as suggestions. How to support their creation is a different story. T96147 provides an overview of the current thinking about lists and campaigns and some ideas we are considering. We have already done some research from the perspective of the translators of such lists, but we still need to get more feedback (especially from campaign organisers) to iterate on them.

I would be happy to offer feedback as a campaign organiser if that is helpful to you :)

Cheers

John

I would be happy to offer feedback as a campaign organiser if that is helpful to you :)

Thanks! That would be really helpful.

If you can fill this form we'll contact you to have a short research session. I plan to start the testing sessions around early November if there are no big priority changes.

Feel free also to share the link with anyone interested with translation campaigns (participating, but especially organising them).

santhosh moved this task from Backlog to In Progress on the LE-CX7-Sprint 2 board.
santhosh edited a custom field.

Screenshot as per patch

Screenshot as per patch

This looks good as an initial step. Some aspects to consider for upcoming iterations:

  • "For later" is a top level section. The rest of the suggestions should be in a single "Suggestions" section
  • Suggested lists should appear in the middle of the suggestions ("Featured" is not a specific suggested list but individual suggestions)
  • Suggested lists should appear initially collapsed to show just 2 items.

Change 247261 merged by jenkins-bot:
Suggestions: Public task lists based on category and their paging

https://gerrit.wikimedia.org/r/247261

Change 249896 had a related patch set uploaded (by Santhosh):
Suggestions: Show list headings as part of list

https://gerrit.wikimedia.org/r/249896

Change 249903 had a related patch set uploaded (by Santhosh):
Suggestions: Do not show the list heading for fallback suggestions(Featured)

https://gerrit.wikimedia.org/r/249903

Nikerabbit updated the task description. (Show Details)Oct 30 2015, 2:16 PM

Change 249896 merged by jenkins-bot:
Suggestions: Show list headings as part of list

https://gerrit.wikimedia.org/r/249896

Change 249903 merged by jenkins-bot:
Suggestions: Do not show the list heading for fallback suggestions ("Featured")

https://gerrit.wikimedia.org/r/249903

Arrbee raised the priority of this task from Normal to High.Nov 3 2015, 7:39 AM
Arrbee lowered the priority of this task from High to Normal.
Arrbee moved this task from In Review to QA on the LE-CX7-Sprint 2 board.

Related to this, I created a separate ticket to support users to easily access all campaigns: T117850: Provide access to all existing translation lists from the suggestions view

Arrbee closed this task as Resolved.Dec 2 2015, 7:31 AM
Arrbee added a subscriber: Arrbee.
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 2 board.Dec 2 2015, 4:01 PM